package com.zd.exam.service;

import com.zd.common.core.domain.R;
import com.zd.exam.domain.ElScoreRewardconfig;

import java.util.List;
import java.util.Map;

/**
 * 奖励分设置Service接口
 *
 * @author zd
 * @date 2021-12-14
 */
public interface IElScoreRewardconfigService
{
    /**
     * 查询奖励分设置
     *
     * @param id 奖励分设置主键
     * @return 奖励分设置
     */
    public ElScoreRewardconfig selectElScoreRewardconfigById(Long id);

    /**
     * 查询奖励分设置列表
     *
     * @param elScoreRewardconfig 奖励分设置
     * @return 奖励分设置集合
     */
    public List<ElScoreRewardconfig> selectElScoreRewardconfigList(ElScoreRewardconfig elScoreRewardconfig);

    /**
     * 新增奖励分设置
     *
     * @param elScoreRewardconfig 奖励分设置
     * @return 结果
     */
    public int insertElScoreRewardconfig(ElScoreRewardconfig elScoreRewardconfig);

    /**
     * 修改奖励分设置
     *
     * @param elScoreRewardconfig 奖励分设置
     * @return 结果
     */
    public int updateElScoreRewardconfig(ElScoreRewardconfig elScoreRewardconfig);

    /**
     * 批量删除奖励分设置
     *
     * @param ids 需要删除的奖励分设置主键集合
     * @return 结果
     */
    public int deleteElScoreRewardconfigByIds(Long[] ids);

    /**
     * 删除奖励分设置信息
     *
     * @param id 奖励分设置主键
     * @return 结果
     */
    public int deleteElScoreRewardconfigById(Long id);

    R addLoginfo(Map map);
}
